%undefine __cmake_in_source_build

Summary:        A general purpose allocator with excellent performance
Name:           mimalloc
Version:        2.0.7
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/microsoft/mimalloc
Source0:        https://github.com/microsoft/mimalloc/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake gcc-c++

%description
mimalloc (pronounced "me-malloc")
is a general purpose allocator with excellent performance characteristics.
Initially developed by Daan Leijen for the run-time systems.

%package devel
Summary:        Development environment for mimalloc
Requires:       %{name} = %{version}-%{release}

%description devel
Development package for mimalloc.

%prep
%autosetup -p1
rm -rf bin

%build
%cmake \
    -DMI_BUILD_OBJECT=OFF \
    -DMI_OVERRIDE=OFF \
    -DMI_INSTALL_TOPLEVEL=ON \
    -DMI_BUILD_STATIC=OFF \
    -DMI_BUILD_TESTS=OFF \
    -DCMAKE_BUILD_TYPE=Release
%cmake_build


%install
%cmake_install

%files
%license LICENSE
%doc readme.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.0.7-1
- package init.
